Internet Explorer is Unsafe? Didn’t See That Coming

In less than surprising news, Internet Explorer is not safe.

Microsoft is continuing its investigation of public reports of attacks against a new vulnerability in Internet Explorer. Our investigation so far has shown that these attacks are only against Windows Internet Explorer 7 on supported editions of Windows XP Service Pack 2, Windows XP Service Pack 3, Windows Server 2003 Service Pack 1, Windows Server 2003 Service Pack 2, Windows Vista, Windows Vista Service Pack 1, and Windows Server 2008. Microsoft Internet Explorer 5.01 Service Pack 4, Microsoft Internet Explorer 6 Service Pack 1, Microsoft Internet Explorer 6, and Windows Internet Explorer 8 Beta 2 on all supported versions of Microsoft Windows are potentially vulnerable.


So basically, every version of IE is vulnerable. Microsoft offers several solutions until this problem is fixed, but they don’t really address the problem. Suggestions include: enable a firewall, contact the FBI, and keep windows updated. Since they haven’t fixed the problem, I don’t see how this helps. Any solution they have that works will probably be hard for the average internet user to understand. I know my grandma wouldn’t be able to “Restrict Internet Explorer from using OLEDB32.dll with an Integrity Level ACL” or “Disable XML Island functionality.”

Now, Microsoft will never say this, even though some sites are unsubstantially claiming they have, but the best way to avoid problems is to stop using IE. My suggestion would be to switch to Firefox. Even though I have some complaints about it, it is by far the best browser available, especially in terms of customization and add-ons.

I know that all browsers have security problems, but IE is so far behind the times and until they get it together and make a browser that isn’t 10 years behind the others people really need to stop using it. Just because it comes with your computer, doesn’t mean other options aren’t available.